<?php
namespace addons\Smsbao;	// 注意命名空间规范

use myxland\addons\Addons;
use app\common\model\Addons as addonsModel;

/**
 * mms1086短信通道
 */
class Smsbao extends Addons
{
    // 该插件的基础信息
    public $info = [
        'name' => 'Smsbao',	// 插件标识
        'title' => '短信宝短信插件',	// 插件名称
        'description' => 'Smsbao发送短信插件，请勿和其它短信通道一起使用',	// 插件简介
        'status' => 0,	// 状态
        'author' => 'smsbao',
        'version' => '0.2'
    ];

    /**
     * 插件安装方法
     * @return bool
     */
    public function install()
    {
        return true;
    }

    /**
     * 插件卸载方法
     * @return bool
     */
    public function uninstall()
    {
        return true;
    }

    /**
     * 实现的testhook钩子方法
     * @return mixed
     */
    public function sendsms($params)
    {
        $result     = [
            'status' => false,
            'data'   => [],
            'msg'    => '发送失败'
        ];
        $addonModel = new addonsModel();
        $setting    = $addonModel->getSetting($this->info['name']);
        if ($params['params']['code'] == 'seller_order_notice') {
            $params['params']['mobile'] = getSetting('shop_mobile');
            if (!$params['params']['mobile']) {
                $result['msg'] = '商户手机号不存在';
                return $result;
            }
        }
        $sms_password = md5($setting['sms_password']);     //为了演示效果，此密码从配置文件中取，如果正式使用，请删除此行，并在后台店铺设置里配置密码即可。
        $content      =  '【' . $setting['sms_prefix'] . '】'.$params['params']['content'] ;
        //$content = iconv("utf-8","gb2312",$content);
        $content = urlencode($content);      //内容
        $smsapi = "http://api.smsbao.com/";
        $str = $smsapi."sms?u=".$setting['sms_account']."&p=".$sms_password."&m=".$params['params']['mobile']."&c=".$content;
        $re      = file_get_contents($str);
       if ($re == 0){
           $result['msg']    = '发送成功';
           $result['status'] = true;
       }else{
           $result['msg']    = '发送失败';
           $result['status'] = false;
       }
        return $result;
    }

    public function config($params = [])
    {
        $this->assign('config', $params);
        return $this->fetch('config');
    }

}
